post
https://sandbox.saner.secpod.com/AncorWebService/perform
Create a task to uninstall an application from one named device.
This method allows users to create tasks to uninstall an application. Users can provide URL encoded value in the ‘appname’ field.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| name | Name of the uninstall job | Yes | string |
| appname | Application name (URL-encoded allowed) | Yes | string |
| starttime | Task start time (format: HH:MM:AM/PM) | No | string |
| endtime | Task end time (format: HH:MM:AM/PM) | No | string |
| scheduletype | Type of schedule (date/immediate/on-schedule) | Yes | string |
| schedulevalue | Schedule date (format: YYYY-MM-DD) | No | string |
| persistent | Whether task is persistent (yes/no) | No | string |
| periodicity | Frequency value | No | string |
| autoreboot | Auto reboot after uninstall (true/false) | No | string |
| rebootdatetime | Reboot date time (format: YYYY-MM-DD HH:MM:SS) | No | string |
| silentoption | Silent uninstall option/argument | No | string |
| groupname | Device group name | Yes | string |
| devicename | Device name | Yes | string |
| startwindowtime | Task window start time (format: HH:MM:AM/PM) | No | string |
| forcereboot | Force reboot flag (true/false) | No | string |
| accountid | Account identifier | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Endpoint.uninstallSoftware(
accountid="Demo Account",
name="PUTTY",
appname="putty",
devicename="device 1",
scheduletype="immediate",
groupname="ubuntu"
)
print(response)
client.close()Requires Python 3.9 or later.